/* pseudoelementos */
:root {
    /* variables de css */
    --blanco: #fff;
    --oscuro: #212121;
    --primario: #ffc107;
    --secundario: #0097a7;
    --gris: #757575;
    --gris-claro: #dfe9f3;
}

/* globales */
html {
    font-size: 62.5%;
    box-sizing: border-box;
    scroll-snap-type: y mandatory;
}

/* scroll snap */
.servicios,
.navegacion-principal,
.formulario {
    scroll-snap-align: center;
    scroll-snap-stop: always;
}

*, *:before, *:after {
    box-sizing: inherit;
}
body {
    font-size: 16px; /* 1rem = 10px */
    font-family: 'Krub', sans-serif;
    background-image: linear-gradient(to top, var(--gris-claro) 0%, var(--blanco) 100%);
}
.sombra {
    box-shadow: 0px 5px 15px 0px rgba(97,97,97,0.44);
    background-color: var(--blanco);
    padding: 2rem;
    border-radius: 1rem;
}

/* tipografia */
h1 {
    font-size: 3.8rem;
}
h2 {
    font-size: 2.8rem;
}
h3 {
    font-size: 1.8rem;
}

h1, h2, h3 {
    text-align: center;
}

/* titulos */
.titulo span {
    font-size: 2rem;
}

/* navegación principal */
.contenedor {
    max-width: 100rem;
    margin: 0 auto;
}

.boton {
    background-color: var(--secundario);
    color: var(--blanco);
    padding: 1rem 3rem;
    margin-top: 2rem;
    text-decoration: none;
    font-size: 2rem;
    text-transform: uppercase;
    font-weight: 700;
    border-radius: .5rem;
    width: 90%;
    text-align: center;
    border: none;
}
.boton:hover {
    cursor: pointer;
}
@media (min-width: 480px) {
    .boton {
        width: auto;
    }
}

/* utilidades */
.w-sm-100 {
    width: 100%;
}
@media (min-width: 768px) {
    .w-sm-100 {
        width: auto ;
    }
}
.flex {
    display: flex;
}
.alinear-derecha {
    justify-content: flex-end;
}

.nav-bg {
    background-color: var(--secundario);
}
.navegacion-principal {
    display: flex;
    flex-direction: column;
}
@media (min-width: 768px) {
    .navegacion-principal {
        flex-direction: row;
        justify-content: space-between;
    }
}
.navegacion-principal a {
    padding: 1rem;
    color: var(--blanco);
    text-decoration: none;
    font-size: 2rem;
    font-weight: 700;
    text-align: center;
}
.navegacion-principal a:hover {
    color: var(--oscuro);
    background-color: var(--primario);
}

/* hero */
.hero {
    background-image: url(../img/hero.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    height: 450px;
    position: relative;
    margin-bottom: 2rem;
}
.contenido-hero {
    position: absolute;
    background-color: rgba(0, 0, 0, .6);/* anterior */
    background-color: rgb(0 0 0 / 60%);
    width: 100%;
    height: 100%;
    /* alinear vertical y horizontal */
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    /* top: 0;
    right: 0;
    left: 0;
    bottom: 0; */
}
.contenido-hero h2,
.contenido-hero p {
    color: var(--blanco);
}

.ubicacion {
    display: flex;
    align-items: flex-end;
}
.ubicacion p {
    margin: 0;
}

@media (min-width: 768px) {
    .servicios {
        display: grid;
        /* grid-template-columns: 30rem 30rem;
        grid-template-rows: 20rem 80rem; */
        /* grid: 20rem 80rem / 30rem 30rem; */
        /* grid-template-columns: 33.3% 33.3% 33.3%; */
        /* grid-template-columns: 1fr 1fr 1fr; */
        grid-template-columns: repeat(3, 1fr);
        column-gap: 1rem;
    }
}
.servicio {
    display: flex;
    flex-direction: column;
    align-items: center;
}
.servicio h3 {
    color: var(--secundario);
    font-weight: 400;
    text-align: center;
}
.servicio p {
    line-height: 2;
}
.servicio .iconos {
    height: 15rem;
    width: 15rem;
    background-color: var(--primario);
    border-radius: 50%;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
}

/* Contacto */
.formulario {
    background-color: var(--gris);
    width: min( 60rem, 100% ); /* usa el valor más pequeño */
    margin: 0 auto;
    padding: 2rem;
    border-radius: 1rem;
}
.formulario fieldset {
    border: none;
}
.formulario legend {
    text-align: center;
    font-size: 1.8rem;
    text-transform: uppercase;
    font-weight: 700;
    margin-bottom: 2rem;
    color: var(--primario);
}

@media (min-width: 768px) {
    .contenedor-campos {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        column-gap: 1rem;
        grid-template-rows: auto auto 20rem;
    }
    .campo:nth-child(3) {
        grid-column: 1 / 3;
    }
    .campo:nth-child(4) {
        grid-column: 1 / 3;
    }
}
.campo {
    margin-bottom: 1rem;
    /* display: flex; */
}

.campo label {
    color: var(--blanco);
    font-weight: 700;
    margin-bottom: .5rem;
    display: block;
}
.campo textarea {
    height: 20rem;
}
/* .campo input[type="text"]{
    background-color: var(--primario);
} */
.input-text {
    width: 100%;
    border: none;
    padding: 1.5rem;
    border-radius: .5rem;
}

/* footer */
.footer {
    text-align: center;
}
 
/* 
rem -> unidad de medida, permite que el sitio se adapte bien en cualquier dispositivo
1 rem = 10px

SELECTORES
selector de elemento
p {}
selector de clase
.cliente {}
selector de id
#elemento {}
selector de atributo
[src="logo.jpg"] {}
combinación de descendentes
.tel .nombre {} / h1 span {} / .cliente h2 {}
todos los hijos
.cliente > p {}

ESPECIFIDAD
es como el navegador va a mostrar el css de acuerdo a que tan específico es el selector que se ha creado
case1
p#parrafo {}
p { color: red!important;} //este es más importante
case2
p.parrafo {} //este es más importante
p {}

*/